# KYC Review

KYC Review API provides endpoints to view, update and submit information related to the KYC flow.
There are two ways to collect KYC requirements from your customers:
- **Hosted KYC** — redirect your customer to a Wise-hosted UI that guides them through the process.
- **API submission** — use the [KYC Requirement Submit](/api-reference/legacy/kyc-review/kycreviewrequirementsubmit) endpoint to submit requirements directly. This is only available for requirement types where `apiCollectionSupported` is `true`.

Please refer to our [Hosted KYC guide](/guides/product/kyc/wise-kyc/hosted-kyc) for more information on the general use of the endpoints included below.

 - [KYC Requirement](https://docs.wise.com/api-reference/legacy/kyc-review/kyc-requirement.md): Schema: #/components/schemas/kyc-requirement
 - [KYC Review](https://docs.wise.com/api-reference/legacy/kyc-review/kyc-review.md): Schema: #/components/schemas/kyc-review
 - [KYC Review with a Hosted KYC link](https://docs.wise.com/api-reference/legacy/kyc-review/kyc-review-with-link.md): Schema: #/components/schemas/kyc-review-with-link
 - [POST /v1/profiles/{profileId}/kyc-reviews](https://docs.wise.com/api-reference/legacy/kyc-review/kycreviewcreate.md): Creates a KYC Review for a specific customer action.
 - [GET /v1/profiles/{profileId}/kyc-reviews](https://docs.wise.com/api-reference/legacy/kyc-review/kycreviewlist.md): Retrieves a list of all active KYC Reviews for a given profile.
 - [PATCH /v1/profiles/{profileId}/kyc-reviews/{kycReviewId}](https://docs.wise.com/api-reference/legacy/kyc-review/kycreviewredirecturlupdate.md): Updates the KYC Review with a redirect URL. Returns the KYC Review object with a `link` field containing a URL where the end customer needs to be directed in order to complete the Hosted KYC flow. **T
 - [GET /v2/profiles/{profileId}/kyc-reviews/{kycReviewId}](https://docs.wise.com/api-reference/legacy/kyc-review/kycreviewget.md): Retrieves a single KYC Review by ID for a profile.
 - [POST /v2/profiles/{profileId}/kyc-requirements/{requirementKey}](https://docs.wise.com/api-reference/legacy/kyc-review/kycreviewrequirementsubmit.md): Submit a KYC requirement for a KYC Review. - A KYC requirement can only be submitted if the KYC Review status is `WAITING_CUSTOMER_INPUT` or `PASSED_WITH_REQUIREMENTS`. - A KYC requirement should only
 - [GET /v1/profiles/{profileId}/kyc-reviews/{kycReviewId}](https://docs.wise.com/api-reference/legacy/kyc-review/kycreviewgetv1.md): This endpoint is deprecated. Use [Get KYC Review by ID](kycreviewget) (V2) instead. Retrieves a single KYC Review by ID for a profile.
 - [POST kyc-reviews#state-change](https://docs.wise.com/api-reference/legacy/kyc-review/eventkycreviewsstatechange.md): Triggered when a KYC review state has changed. In previous versions, this event fired only when the overall KYC review state changed. In **v5.0.0**, it fires on every requirement or additional require
